# $Revision: 1.186.2.1 $, $Date: 2009/02/19 10:03:54 $
#
# Conditional build:
%bcond_without	ada		# do not build Ada95 bindings
%bcond_without	cxx		# do not build C++ ncurses bindings and demo programs
#		  		# (this is neccessary to build ncurses linked with uClibc).
%bcond_without	gpm		# build without (dynamically loadable) libgpm support
#
Summary:	curses terminal control library
Summary(de.UTF-8):	curses-Terminal-Control-Library
Summary(es.UTF-8):	Biblioteca de control de terminal curses
Summary(fr.UTF-8):	La bibliothéque de contrôle de terminal curses
Summary(pl.UTF-8):	Biblioteki do kontrolowania terminala
Summary(pt_BR.UTF-8):	Biblioteca de controle de terminal curses
Summary(ru.UTF-8):	ncurses - новая библиотека управления терминалами
Summary(tr.UTF-8):	Terminal kontrol kitaplığı
Summary(uk.UTF-8):	ncurses - нова бібліотека керування терміналами
Name:		ncurses
Version:	5.7
Release:	8
License:	distributable
Group:		Libraries
Source0:	ftp://dickey.his.com/ncurses/%{name}-%{version}.tar.gz
# Source0-md5:	cce05daf61a64501ef6cd8da1f727ec6
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	3b05ee835dc20c306e9af2a9d3fbf1f1

# source: ftp://dickey.his.com/ncurses/5.7/
Patch0:		%{name}-5.7-20081115.patch.gz
Patch1:		%{name}-5.7-20081122.patch.gz
Patch2:		%{name}-5.7-20081129.patch.gz
Patch3:		%{name}-5.7-20081206.patch.gz
Patch4:		%{name}-5.7-20081213.patch.gz
Patch5:		%{name}-5.7-20081220.patch.gz
Patch6:		%{name}-5.7-20081227.patch.gz
Patch7:		%{name}-5.7-20090103.patch.gz
Patch8:		%{name}-5.7-20090104.patch.gz
Patch9:		%{name}-5.7-20090105.patch.gz
Patch10:	%{name}-5.7-20090110.patch.gz
Patch11:	%{name}-5.7-20090117.patch.gz
Patch12:	%{name}-5.7-20090124.patch.gz
Patch13:	%{name}-5.7-20090207.patch.gz
Patch14:	%{name}-5.7-20090214.patch.gz

Patch100:	%{name}-screen_hpa_fix.patch
Patch101:	%{name}-xterm_hpa_fix.patch
Patch102:	%{name}-meta.patch
Patch103:	%{name}-xterm-home-end.patch
Patch104:	%{name}-mouse_trafo-warning.patch
Patch105:	%{name}-gnome-terminal.patch
# not sure about this one, now all xterms have kbs defined (to ^H, not \177)
# and only XTerm.ad.pl sets backspace to \177 instead of ^H
Patch106:	%{name}-xterm-kbs.patch
# disable rain demo; triggers gcc bug: http://gcc.gnu.org/bugzilla/show_bug.cgi?id=14998
Patch107:	%{name}-no-rain-demo.patch
URL:		http://dickey.his.com/ncurses/ncurses.html
BuildRequires:	automake
%{?with_ada:BuildRequires:	gcc-ada}
%{?with_gpm:BuildRequires:	gpm-devel}
%{?with_cxx:BuildRequires:	libstdc++-devel}
BuildRequires:	sharutils
Obsoletes:	libncurses5
Conflicts:	terminfo < 5.4-0.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/ncurses

%description
The curses library routines give the user a terminal-independent
method of updating character screens with reasonable optimization.
This implementation is ``new curses'' (ncurses) and is the approved
replacement for 4.4BSD classic curses, which is being discontinued.

%description -l de.UTF-8
Die curses-Library-Routinen geben dem Benutzer eine
Terminal-unabhängige Methode zur optimierten Aktualisierung von
zeichenbasierenden Bildschirminhalten an die Hand. Die vorliegende
Implementierung ist NEW CURSES (ncurses), die offizielle
Nachfolgerversion für 4.4BSC (die klassische curses-Version), welche
nicht weitergeführt wird.

%description -l es.UTF-8
Las rutinas de la biblioteca curses ofrecen al usuario un método
independiente de terminal para actualización de las pantallas de
caracteres con optimización razonable. Este soporte es "nuevo curses"
(ncurses) y es el substituto aprobado para los clásicos curses 4.4BSD,
que se quedaban desfasados.

%description -l fr.UTF-8
Les routines de la bibliothèque curses donnent à l'utilisateur une
méthode indépendante du terminal pour la mise à jour des écrans en
mode texte avec une optimisation correcte. Ceci est l'implantation du
« nouveau curses » (ncurses) et est le remplacement du curses 4.4BSD
classique qui est abandonné.

%description -l pl.UTF-8
Biblioteka curses udostępnia funkcje pozwalające użytkownikom na
odwoływanie się do zawartości terminala niezależnie od jego typu.
Pakiet ten zawiera implementację klasycznej biblioteki curses (z
systemu 4.4BSD) o nazwie ncurses (new curses) i jest zarazem jej
przyszłym zamiennikiem.

%description -l pt_BR.UTF-8
As rotinas da biblioteca curses fornecem ao usuário um método
independente de terminal para atualização das telas de caracteres com
otimização razoável. Essa implementação é "novo curses" (ncurses) e é
o substituto aprovado para os clássicos curses 4.4BSD, que estão se
tornando obsoletos.

%description -l ru.UTF-8
Программы библиотеки curses предоставляют пользователям возможность
терминально-независимого обновления символьных экранов с достаточной
оптимизацией. Эта реализация - "новые curses" (ncurses), которая
является одобренной заменой классической библиотеки curses из 4.4BSD,
в настоящее время "снятой с производства". В PLD Linux ncurses
является жизненно необходимой, без нее не будут функционировать многие
программы, составляющие базовую систему. Практически все программы,
которые выводят что-либо на терминал, используют ncurses. В PLD Linux
ни библиотека termcap, ни традиционный файл /etc/termcap, не
используются...

%description -l tr.UTF-8
curses kitaplığı ile kullanıcıya kullanılan terminal tipinden bağımsız
olarak karakter tabanlı ekranlara erişim olanağı sağlanabilmektedir.
Bu uyarlama 'new curses' (ncurses), BSD deki klasik curses'in gelişmiş
halidir.

%description -l uk.UTF-8
Програми бібліотеки curses дають користувачам можливість
термінально-незалежного поновлення символьних екранів з достатньою
оптимізацією. Ця реалізація - "нові curses" (ncurses), котра є
схваленою заміною класичної бібліотеки curses з 4.4BSD, яка наразі
"знята з виробництва". В PLD Linux ncurses є життєво необхідною, без
неї не буде працювати більшость програм, що складають базову систему.
Практично всі програми, котрі виводять щось на термінал,
використовують ncurses. В PLD Linux ані бібліотека termcap, ані
традиційний файл /etc/termcap не використовуються...

%package -n terminfo
Summary:	Complete terminfo database
Summary(es.UTF-8):	Banco de datos terminfo para terminales extras (menos usados)
Summary(pl.UTF-8):	Kompletna baza terminfo
Summary(pt_BR.UTF-8):	Base de dados terminfo para terminais adicionais (menos usados)
Group:		Applications/Terminal
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ncurses-extraterms

%description -n terminfo
This package contains complete terminfo database. If you just use the
Linux console, xterm and VT100, you probably will not need this this -
a minimal %{_datadir}/terminfo tree for these terminal is already
included in the ncurses package.

%description -n terminfo -l es.UTF-8
Banco de datos terminfo para terminales extras. Las capacidades de los
terminales más usados ya están en el paquete principal ncurses.

%description -n terminfo -l pl.UTF-8
Pakiet ten zawiera kompletną bazę terminfo. Jeżeli używasz terminali
linux, console, xterm, vt100 prawdopodobnie nie bedziesz potrzebował
tego pakietu gdyż definicje tych terminali są włączone w pakiet
ncurses.

%description -n terminfo -l pt_BR.UTF-8
Base de dados terminfo para terminais extras. As definições dos
terminais mais usados já estão no pacote principal ncurses.

%package devel
Summary:	Header files for develop ncurses based application
Summary(es.UTF-8):	Bibliotecas de desarrollo para ncurses
Summary(pl.UTF-8):	Pliki nagłówkowe do bibliotek ncurses
Summary(pt_BR.UTF-8):	Bibliotecas de desenvolvimento para ncurses
Summary(ru.UTF-8):	Хедеры и библиотеки для разработки программ с ncurses
Summary(uk.UTF-8):	Хедери та бібліотеки для розробки програм з ncurses
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libncurses5-devel
Obsoletes:	libtermcap-devel

%description devel
This package includes the header files and libraries necessary to
develop applications that use ncurses.

%description devel -l es.UTF-8
Este paquete incluye las bibliotecas y archivos de inclusión
necesarios al desarrollo de aplicaciones que usan ncurses.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe niezbędne do pisania/kompilowania
programów z wykorzystaniem bibliotek ncurses.

%description devel -l pt_BR.UTF-8
Este pacote inclui as bibliotecas e arquivos de inclusão necessários
ao desenvolvimento de aplicações que usam ncurses.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки, необходимые для разработки
программ, использующих ncurses.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки, необхідні для розробки
програм, що використовують ncurses.

%package static
Summary:	Static libraries for ncurses
Summary(es.UTF-8):	Static libraries for ncurses development
Summary(pl.UTF-8):	Biblioteki statyczne ncurses
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com ncurses
Summary(ru.UTF-8):	Статические библиотеки для разработки программ с ncurses
Summary(uk.UTF-8):	Статичні бібліотеки для розробки програм з ncurses
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package includes the static libraries necessary to develop
applications that use ncurses.

%description static -l es.UTF-8
Static libraries for ncurses development.

%description static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne ncurses.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com ncurses.

%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки, необходимые для разработки
программ, использующих ncurses.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки, необхідні для розробки програм,
що використовують ncurses.

%package ext
Summary:	Additional ncurses libraries
Summary(pl.UTF-8):	Dodatkowe biblioteki ncurses
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ext
This package contains addidion ncurses libraries like libforms,
libmenu and libpanel for easy making full screen curse application.

%description ext -l pl.UTF-8
Pakiet ten zawiera dodatkowe biblioteki libforms, libmenu i libpanel
służące do łatwego tworzenia aplikacji pełnoekranowych korzystających
z ncurses.

%package ext-devel
Summary:	Header files for additional ncurses libraries
Summary(pl.UTF-8):	Pliki nagłówkowe dodatkowych bibliotek ncurses
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ext = %{version}-%{release}

%description ext-devel
Header files for additional ncurses libraries (form, menu, panel).

%description ext-devel -l pl.UTF-8
Pliki nagłówkowe dodatkowych bibliotek ncurses (form, menu, panel).

%package ext-static
Summary:	Static versions of additional ncurses libraries
Summary(pl.UTF-8):	Statyczne wersje dodatkowych bibliotek ncurses
Group:		Development/Libraries
Requires:	%{name}-ext-devel = %{version}-%{release}

%description ext-static
Static versions of additional ncurses libraries (form, menu, panel).

%description ext-static -l pl.UTF-8
Statyczne wersje dodatkowych bibliotek ncurses (form, menu, panel).

%package c++-devel
Summary:	Header files for develop C++ ncurses based application
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki C++ ncurses
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description c++-devel
This package includes the header files and libraries necessary to
develop applications that use C++ ncurses.

%description c++-devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe niezbędne do kompilacji programów
z wykorzystaniem biblioteki c++-ncurses.

%package c++-static
Summary:	Static libraries for C++ ncurses
Summary(pl.UTF-8):	Biblioteki statyczne C++ ncurses
Group:		Development/Libraries
Requires:	%{name}-c++-devel = %{version}-%{release}

%description c++-static
This package includes the static libraries necessary to develop
applications that use C++ ncurses.

%description c++-static -l pl.UTF-8
Pakiet ten zawiera biblioteki statyczne C++ ncurses.

%package ada-devel
Summary:	Header files for develop Ada95 ncurses based application
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki Ada95 ncurses
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
%requires_eq	gcc-ada

%description ada-devel
This package includes the header files and libraries necessary to
develop applications that use Ada95 ncurses.

%description ada-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i biblioteki potrzebne do
tworzenia aplikacji używających ncurses w języku Ada95.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1

%build
unset TERMINFO || :
gcc_target=$(gcc -dumpmachine)
gcc_version=$(gcc -dumpversion)
CFLAGS="%{rpmcflags} -DPURE_TERMINFO -D_FILE_OFFSET_BITS=64"
cp -f /usr/share/automake/config.sub .
for t in narrowc widec; do
install -d obj-$t
cd obj-$t
../%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-normal \
	--with-shared \
	--with%{!?with_ada:out}-ada \
	--with%{!?with_cxx:out}-cxx \
	--with%{!?with_cxx:out}-cxx-binding \
	--with%{!?debug:out}-debug \
	--with%{!?with_gpm:out}-gpm \
	--without-profile \
	--with-termlib \
	--with-largefile \
	--disable-lp64 \
	--with-chtype='long' \
	--with-mmask-t='long' \
	--with-manpage-aliases \
	--with-manpage-format=normal \
	--without-manpage-symlinks \
	--with-ada-include=%{_libdir}/gcc/$gcc_target/$gcc_version/adainclude/ \
	--with-ada-objects=%{_libdir}/gcc/$gcc_target/$gcc_version/adalib/ \
	`[ "$t" != "widec" ] && echo --with-termlib=tinfo` \
	`[ "$t" = "widec" ] && echo --with-termlib=tinfow --enable-widec --includedir=%{_includedir}w`

%{__make}

cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},%{_mandir}}

for t in widec narrowc; do
%{__make} -C obj-$t install \
	INSTALL_PREFIX=$RPM_BUILD_ROOT
done

ln -sf ../l/linux $RPM_BUILD_ROOT%{_datadir}/terminfo/c/console

mv -f $RPM_BUILD_ROOT%{_libdir}/libtinfo.so.* $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libncurses.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libtinfo.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libtinfo.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libncurses.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libcurses.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libncurses.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libncurses.so
ln -sf libncursesw.a $RPM_BUILD_ROOT%{_libdir}/libcursesw.a
ln -sf libncursesw.so $RPM_BUILD_ROOT%{_libdir}/libcursesw.so

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	ext -p /sbin/ldconfig
%postun	ext -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README
%attr(755,root,root) %{_bindir}/captoinfo
%attr(755,root,root) %{_bindir}/clear
%attr(755,root,root) %{_bindir}/infocmp
%attr(755,root,root) %{_bindir}/infotocap
%attr(755,root,root) %{_bindir}/reset
%attr(755,root,root) %{_bindir}/tabs
%attr(755,root,root) %{_bindir}/tic
%attr(755,root,root) %{_bindir}/toe
%attr(755,root,root) %{_bindir}/tput
%attr(755,root,root) %{_bindir}/tset
%attr(755,root,root) /%{_lib}/libncurses.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libncurses.so.5
%attr(755,root,root) /%{_lib}/libtinfo.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libtinfo.so.5
%attr(755,root,root) %{_libdir}/libncursesw.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libncursesw.so.5
%attr(755,root,root) %{_libdir}/libtinfow.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libtinfow.so.5

%{_datadir}/tabset

%dir %{_datadir}/terminfo
%{_datadir}/terminfo/E
%dir %{_datadir}/terminfo/[dgklprsvx]

%{_datadir}/terminfo/d/dumb
%{_datadir}/terminfo/g/gnome*
%{_datadir}/terminfo/k/klone+color
%{_datadir}/terminfo/k/konsole*
%{_datadir}/terminfo/l/linux*
%{_datadir}/terminfo/p/putty*
%{_datadir}/terminfo/r/rxvt*
%{_datadir}/terminfo/s/screen*
%{_datadir}/terminfo/v/vt100
%{_datadir}/terminfo/v/vt220
%{_datadir}/terminfo/v/vt220-8
%{_datadir}/terminfo/v/vt52
%{_datadir}/terminfo/x/xterm*

%{_mandir}/man[157]/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man[157]/*

%files -n terminfo
%defattr(644,root,root,755)
%{_datadir}/terminfo/[1-9ALMNPQXa-ce-jm-rt-uwz]
%{_datadir}/terminfo/[dklsvx]/*
%exclude %{_datadir}/terminfo/d/dumb
%exclude %{_datadir}/terminfo/g/gnome*
%exclude %{_datadir}/terminfo/k/klone+color
%exclude %{_datadir}/terminfo/k/konsole*
%exclude %{_datadir}/terminfo/l/linux*
%exclude %{_datadir}/terminfo/p/putty*
%exclude %{_datadir}/terminfo/r/rxvt*
%exclude %{_datadir}/terminfo/s/screen*
%exclude %{_datadir}/terminfo/v/vt100
%exclude %{_datadir}/terminfo/v/vt220
%exclude %{_datadir}/terminfo/v/vt220-8
%exclude %{_datadir}/terminfo/v/vt52
%exclude %{_datadir}/terminfo/x/xterm*

%files devel
%defattr(644,root,root,755)
%doc doc/html/ncurses-intro.html
%attr(755,root,root) %{_bindir}/ncurses5-config
%attr(755,root,root) %{_bindir}/ncursesw5-config
%attr(755,root,root) %{_libdir}/libcurses.so
%attr(755,root,root) %{_libdir}/libncurses.so
%attr(755,root,root) %{_libdir}/libtinfo.so
%attr(755,root,root) %{_libdir}/libcursesw.so
%attr(755,root,root) %{_libdir}/libncursesw.so
%attr(755,root,root) %{_libdir}/libtinfow.so
%dir %{_includedir}
%{_includedir}/curses.h
%{_includedir}/eti.h
%{_includedir}/nc_tparm.h
%{_includedir}/ncurses.h
%{_includedir}/ncurses_dll.h
%{_includedir}/term.h
%{_includedir}/term_entry.h
%{_includedir}/termcap.h
%{_includedir}/tic.h
%{_includedir}/unctrl.h
%dir %{_includedir}w
%{_includedir}w/curses.h
%{_includedir}w/eti.h
%{_includedir}w/nc_tparm.h
%{_includedir}w/ncurses.h
%{_includedir}w/ncurses_dll.h
%{_includedir}w/term.h
%{_includedir}w/term_entry.h
%{_includedir}w/termcap.h
%{_includedir}w/tic.h
%{_includedir}w/unctrl.h
%{_mandir}/man3/*
%exclude %{_mandir}/man3/form*
%exclude %{_mandir}/man3/menu*
%exclude %{_mandir}/man3/panel*
%lang(pl) %{_mandir}/pl/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libncurses.a
%{_libdir}/libtinfo.a
%{_libdir}/libncursesw.a
%{_libdir}/libtinfow.a

%files ext
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libform.so.*
%attr(755,root,root) %{_libdir}/libmenu.so.*
%attr(755,root,root) %{_libdir}/libpanel.so.*
%attr(755,root,root) %{_libdir}/libformw.so.*
%attr(755,root,root) %{_libdir}/libmenuw.so.*
%attr(755,root,root) %{_libdir}/libpanelw.so.*

%files ext-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libform.so
%attr(755,root,root) %{_libdir}/libmenu.so
%attr(755,root,root) %{_libdir}/libpanel.so
%attr(755,root,root) %{_libdir}/libformw.so
%attr(755,root,root) %{_libdir}/libmenuw.so
%attr(755,root,root) %{_libdir}/libpanelw.so
%{_includedir}/form.h
%{_includedir}/menu.h
%{_includedir}/panel.h
%{_includedir}w/form.h
%{_includedir}w/menu.h
%{_includedir}w/panel.h
%{_mandir}/man3/form*
%{_mandir}/man3/menu*
%{_mandir}/man3/panel*

%files ext-static
%defattr(644,root,root,755)
%{_libdir}/libform.a
%{_libdir}/libmenu.a
%{_libdir}/libpanel.a
%{_libdir}/libformw.a
%{_libdir}/libmenuw.a
%{_libdir}/libpanelw.a

%if %{with cxx}
%files c++-devel
%defattr(644,root,root,755)
%doc c++/{demo.cc,README-first,NEWS,PROBLEMS}
%{_includedir}/cursesapp.h
%{_includedir}/cursesf.h
%{_includedir}/cursesm.h
%{_includedir}/cursesp.h
%{_includedir}/cursesw.h
%{_includedir}/etip.h
%{_includedir}/cursslk.h
%{_includedir}w/cursesapp.h
%{_includedir}w/cursesf.h
%{_includedir}w/cursesm.h
%{_includedir}w/cursesp.h
%{_includedir}w/cursesw.h
%{_includedir}w/etip.h
%{_includedir}w/cursslk.h

%files c++-static
%defattr(644,root,root,755)
%{_libdir}/libncurses++.a
%{_libdir}/libncurses++w.a
%endif

%if %{with ada}
%files ada-devel
%defattr(644,root,root,755)
%doc Ada95/{README,TODO}
%attr(755,root,root) %{_bindir}/adacurses-config
%{_libdir}/gcc/*/*/adainclude/*
%{_libdir}/gcc/*/*/adalib/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncurses.spec,v $
Revision 1.186.2.1  2009/02/19 10:03:54  glen
- revert wide version for AC-branch

Revision 1.186  2009/02/19 07:50:42  arekm
- rel 9; move gnome, putty, rxvt terms to main package, too

Revision 1.185  2009/02/19 06:19:33  arekm
- rel 8; include all konsole terms

Revision 1.184  2009/02/18 19:49:38  arekm
- rel 7

Revision 1.183  2009/02/18 19:39:21  arekm
rel 6; wide version supports 256 colors now (ABI6); narrow uses old style (ABI5)

Revision 1.182  2009/02/18 18:39:59  arekm
- rel 5; move kde konsole terminfo files to main package

Revision 1.181  2009/01/26 22:16:27  arekm
- release 4

Revision 1.180  2008/11/30 20:46:27  pawelz
- added patch 5.7-20081129 from upstream
- rel 3

Revision 1.179  2008/11/23 14:47:03  pawelz
- added patch 5.7-20081122 from upstream
- rel 2

Revision 1.178  2008/11/22 21:06:08  qboosh
- unified symlink creation method
- ghost soname symlinks
- package tabs utility and adacurses-config script

Revision 1.177  2008/11/16 04:46:26  pawelz
- up to 5.7

Revision 1.176  2008/10/03 10:33:24  kosmo
- added new official patches form 20080621 to 20080927
- rel 11

Revision 1.175  2008/08/28 19:03:52  pluto
- release 10 for rebuild w/ gcc-ada-4.3.2.

Revision 1.174  2008/08/04 07:56:09  paszczus
- typo

Revision 1.173  2008/06/28 09:40:15  arekm
- release 9

Revision 1.172  2008/06/20 21:08:00  kosmo
- new patch: 20080614

Revision 1.171  2008/06/13 22:04:24  arekm
- rel 7; add 20080531 and 20080607 upstream fixes; todo seems obsolete

Revision 1.170  2008-05-29 11:38:44  hawk
- don't apply shell script as patch, sources get broken
- added ada_fixes.patch (kills fatal ADA warnings)
- dropped linking and hash patches (affected source isn't part of ncurses
  package anymore)

Revision 1.169  2008-05-28 09:10:25  hawk
- more patches are available, ada still doesn't build

Revision 1.168  2008-05-14 20:46:41  arekm
- updating to 20080412

Revision 1.167  2008-02-16 15:52:17  hawk
- ugly workaround to fix broken directory deps:
    error: ncurses-ada-devel-5.6-4: req /usr/lib/ada/adainclude not found
    error: ncurses-ada-devel-5.6-4: req /usr/lib/ada/adalib not found
- release 5

Revision 1.166  2007-05-18 16:21:02  sparky
- don't use full ftp path in patches, those aren't there anyway

Revision 1.165  2007/02/24 00:19:03  arekm
- rel 4; patches from upstream up to 20070217

Revision 1.164  2007/02/19 16:34:52  arekm
- rebuild

Revision 1.163  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.162  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.161  2007/01/12 21:41:29  megabajt
- package all symlinks (rpm 4.4.7 needs them)
- release 2

Revision 1.160  2006/12/30 19:13:43  qboosh
- cleanup

Revision 1.159  2006/12/30 18:29:03  qboosh
- updated to 5.6+20061213 patch
- removed outdated 5.5 patches and rxvt patch
- updated screen_hpa_fix,xterm_hpa_fix,meta,xterm-home-end,gnome-terminal
  xterm-kbs,linking patches
- BR: gpm (+bcond) to avoid non-deterministic builds

Revision 1.158  2006/08/05 15:36:27  sparky
- added linking patch

Revision 1.157  2006/04/19 14:14:27  arekm
- rel 5; 2 new upstram patches

Revision 1.156  2006/04/10 21:02:00  arekm
- rel 4; added 20060408 patch

Revision 1.155  2006/04/07 15:42:04  arekm
- rel 3; it was just waiting for that fix from upstream

Revision 1.154  2006/04/07 10:34:38  wrobell
- added 20060401 official patch
- rel. 2.2

Revision 1.153  2006/03/31 21:25:15  arekm
- updated; doesn't build unfortunately

Revision 1.152  2006/02/19 12:27:22  qboosh
- added version info to rev. 1.121 changelog

Revision 1.151  2005/12/22 23:44:51  arekm
- rel 2; upstream patches

Revision 1.150  2005/10/13 09:26:05  arekm
- up to 5.5

Revision 1.149  2005/09/17 14:49:42  djurban
- updated to september patches
- rel 10.2, builds properly (without ada)

Revision 1.148  2005/08/21 21:16:18  arekm
- up to patchset 20050820

Revision 1.147  2005/07/03 11:33:36  gotar
- we're going to use xterm not xterm-color again, leave xterm-color
  compatible with other distros

Revision 1.146  2005/07/01 13:54:42  baggins
- release 9
- xterm-color shouldn't differ from xterm, except for color

Revision 1.145  2005/07/01 13:21:40  baggins
- release 8
- linux generates ^? for backspace, we must teach xterm that it so!

Revision 1.144  2005/03/30 13:32:49  djurban
- updated patches rel.7 (note to self: djurban: you built it with -6 here)

Revision 1.143  2005/03/23 17:05:59  mmazur
- rel 6; fixed amd64

Revision 1.142  2004/12/19 14:29:41  radek
- release 5: -D_FILE_OFFSET_BITS=64

Revision 1.141  2004/10/21 17:49:14  pluto
- spaces -> tabs.

Revision 1.140  2004/10/13 11:00:26  mmazur
- rel 4 for th

Revision 1.139  2004/10/03 08:29:09  qrczak
- updated to snapshot 20041002
- ncurses-setcchar-fix.patch no longer needed
- release 3

Revision 1.138  2004/09/27 21:54:54  qrczak
- updated to shapshot 20040925 which fixes some wide character API bugs
- added ncurses-setcchar-fix.patch (reported to the maintainer)
- release 2

Revision 1.137  2004/08/27 19:25:59  qrczak
- Added URL.

Revision 1.136  2004/08/10 15:17:53  havner
- rel 1

Revision 1.135  2004/08/07 15:36:06  djurban
- rel 0.8, updated to new snap

Revision 1.134  2004/06/18 14:38:20  qboosh
- build widec version as well; release 0.7

Revision 1.133  2004/06/18 13:51:21  qboosh
- separated -ext-{devel,static} (for clearness and consistency)
- really use .so-style aliases for manpages

Revision 1.132  2004/06/18 13:07:23  qboosh
- updated dickey patches set and screen_hpa_fix patch
- pl desc for -ada-devel

Revision 1.131  2004/06/18 12:33:34  qboosh
- strict internal deps

Revision 1.130  2004/04/10 00:06:37  adgor
- Ops.. rxvt.patch doesn't apply - TODO

Revision 1.129  2004/03/31 09:18:51  adgor
- Removed xterm-color.patch - do not see reason tyo keep klone+color
  in separate package and make new existances
- Fied apropriate %files sections
- Release 0.6

Revision 1.128  2004/03/30 16:12:09  adgor
- Recent dickey patches

Revision 1.127  2004/03/30 15:30:54  gotar
- updated xterm-home-end patch to application mode sequences,
- enabled xterm-color patch (TODO: check if there is a difference at all),
- debug ready,
- cosmetics, release 0.5.

Revision 1.126  2004/03/30 14:24:44  gotar
- removed rh and libyx-lat patches - the latter rollbacks the former,
- cleanup in progress, please wait.

Revision 1.125  2004/03/29 08:59:55  gotar
- release++ - updated xterm khome/kend sequences

Revision 1.124  2004/03/10 15:47:54  wiget
- added Ada95 bindings
- release 0.3

Revision 1.123  2004/03/10 15:24:07  wiget
- added 4 official bugfix patches
- simplify %files terminfo (thx to %exclude)
- release 0.2

Revision 1.122  2004/03/07 22:16:42  ankry
- en spelling

Revision 1.121  2004/02/17 00:28:39  arekm
- started update, patch2 obsoleted by --with-manpage-aliases; patches 4 and 6 need review
  [updated to 5.4]

Revision 1.120  2004/02/05 15:50:19  marcus
- small typo in %desc

Revision 1.119  2004/02/05 09:34:16  jajcus
- don't fail when $TERMINFO is not set neither

Revision 1.118  2004/02/05 09:30:13  jajcus
- unset TERMINFO in %build. If it is set build may fail.

Revision 1.117  2004/02/05 08:40:54  jajcus
- Release: 7
- --enable-safe-sprintf disabled on all archs until it is fixed. It seems more
  dangerous than safe, as it causes SIGSEGV not only on PPC but on AMD64 too.
  I guess it could crash in some circumstances on other archs too.

Revision 1.116  2004/01/10 01:37:46  undefine
- copy config.sub to allow build on amd64, release 6

Revision 1.115  2004/01/02 17:45:52  jajcus
- Release: 5 (STBR after AMD64 fixes)

Revision 1.114  2004/01/02 15:57:15  eothane
- %bcond_with new_bcond_style

Revision 1.113  2003/12/18 21:42:56  jajcus
- s,/lib/,/%{_lib}/,

Revision 1.112  2003/11/18 17:30:22  qboosh
- base Conflicts with old terminfo, terminfo R: base with equal release
  (for easier upgrades from old packages)

Revision 1.111  2003/10/12 16:57:04  blues
- we are making PLD, not KSI

Revision 1.110  2003/08/24 23:10:29  mmazur
- rel4 for ac

Revision 1.109  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.108  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.107  2003/05/25 05:51:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.106  2003/03/03 09:43:12  qrczak
- ncurses-gnome-terminal.patch:
  correct Backspace sequence for gnome-terminal.
- Release 3.

Revision 1.105  2002/11/25 17:02:44  wiget
- release 2

Revision 1.104  2002/10/28 21:38:57  qboosh
- use plain %configure
- fixed *.so symlinks in -devel

Revision 1.103  2002/10/28 10:09:48  wiget
- updated to 5.3

Revision 1.102  2002/10/25 11:54:09  qboosh
- use absolute symlinks between directories; release 34

Revision 1.101  2002/08/13 22:01:47  qboosh
- removed screen{2,3} from terminfo - already in base package
- release 33

Revision 1.100  2002/08/12 08:56:17  kloczek
- release 32,
- updated to patch 20020727,
- updated %files.

Revision 1.99  2002/06/11 12:45:36  baggins
- release 31
- final cursor fixes in rxvt patch

Revision 1.98  2002/05/25 21:41:14  qboosh
- new %doc

Revision 1.97  2002/05/19 20:14:12  ankry
- some fixes in pl/terminfo.5 man page (ncurses-non-english-man-pages.tar.bz2)
- release 30

Revision 1.96  2002/05/15 05:43:25  kloczek
- merge translations from KSI.

Revision 1.95  2002/05/14 11:57:12  baggins
- release 29
- one more fix for rxvt term (now vim behaves like in xterm)

Revision 1.94  2002/04/22 18:15:02  blues
- release 28
- readded some library links to ext package
  STBR - this is bugfix

Revision 1.93  2002/04/12 13:40:47  qboosh
- removed redundant files from -devel, fixed perms in -ext; release 27

Revision 1.92  2002/03/24 20:56:42  marcus
- removed unnecessary %else

Revision 1.91  2002/03/24 11:40:24  misiek
- just nicer

Revision 1.90  2002/03/24 11:33:45  marcus
- on ppc --enable-safe-sprintf _must_ be off
- rel.26.

Revision 1.89  2002/03/21 16:16:12  qrczak
- Update ncurses-rxvt.patch: add hpa capability description to rxvt.
- New ncurses-xterm-home-end.patch: s/kfnd/khome/, s/kslt/kend/ in xterm.
- New ncurses-mouse_trafo-warning.patch: Remove a duplicated #define.
- Release 25.

Revision 1.88  2002/03/08 09:25:19  blues
- rel. 24
- libraries links were broken - fixed

Revision 1.87  2002/03/07 18:11:01  kloczek
- added ac_hack path (dirty hack directly in configure script with remove
  -L$(libdir) from linking parameters and this is hack because for allow
  regenerate ac files must be first rewrited ac suit :>),
- added --witout cxx bcond handling for not produce C++ bindings subpackages.
  NOTE: now ncurses builded --without cxx can produce correct result on system
  with uCibc instead glibc.

Revision 1.86  2002/03/06 17:53:02  filon
- added ncurses-intro.html to devel (very good tutorial)
- releas 23

Revision 1.85  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.84  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.83  2002/01/18 02:14:00  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.82  2002/01/02 22:37:39  kloczek
- libncurses5{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.81  2001/12/27 18:46:51  qrczak
- Hmm, the story of arrow keys on 'screen' is more complicated. Revert
  the last change, I don't know why it works better that way.
- Release 22.

Revision 1.80  2001/12/27 10:45:31  qrczak
- ncurses-screen-arrows.patch: fix terminfo database: on screen arrow
  keys generate ^[[A style codes, not ^[OA.
- Release 21.

Revision 1.79  2001/12/26 10:32:29  qrczak
- Forgot to uncomment the patch.

Revision 1.78  2001/12/26 10:21:16  qrczak
- ncurses-screen.patch replaced by ncurses-meta.patch: more terminals
  use 8th bit for extended charset and not meta, i.e. screen, xterm,
  rxvt, Eterm, teraterm. Anything else?
  epic is an example of a program which misbehaves with wrong setting
  here (can't enter 8bit chars if configured to take this property from
  terminfo).
- Release 20.

Revision 1.77  2001/12/26 00:09:57  qrczak
- ncurses-screen.patch: fix terminfo database: it's not true than on
  "screen" the 8th bit means meta.
- Release 19.

Revision 1.76  2001/11/26 18:36:06  qrczak
- ncurses-rxvt.patch: our rxvt is compiled with -DLINUX_KEYS and thus
  Home & End generate ^[[1~ & ^[[4~, not ^[[7 & ^[[8. If you don't like
  this patch, change rxvt instead!
- release 18

Revision 1.75  2001/11/18 21:17:47  ankry
- added more pl man pages and some fi, fr, hu, id, it
- release 17

Revision 1.74  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.73  2001/09/21 06:15:41  kloczek
- relase 16: added xterm_hpa_fix patch (hpa sequence in xterm-r6 is back).

Revision 1.72  2001/09/21 03:01:17  kloczek
- added translations stlen from CNV,
- spec adapterized.

Revision 1.71  2001/09/21 02:57:36  kloczek
- release 15: added one missing header file (%{_includedir}/ncurses_dll.h)
  devel %files list.

Revision 1.70  2001/09/20 02:43:53  kloczek
- release 14,
- aply patch-5.2-20010908.sh patch from ncurses site,
- remove outdated patches.

Revision 1.69  2001/09/20 00:01:29  blues
- release 5
- configure2_13 used

Revision 1.68  2001/06/24 18:25:13  kloczek
- release 4: added missing hpa sequense for screen terminal definition
  (screen_hpa_fix patch).

Revision 1.67  2001/04/13 06:13:13  kloczek
- release 3.

Revision 1.66  2001/04/09 00:07:03  qboosh
- BuildRequires: libstdc++-devel
- removed buildreqs required by rpm-build
- use %rpmcflags

Revision 1.65  2001/02/16 17:19:56  qboosh
- removed screen-w from terminfo package
- moved dumb to main package
- post-adapter CFLAGS cleanup

Revision 1.64  2001/02/13 23:06:58  agaran
- Rel++, added screen-w to main package (ncurses-5.2), RtSTB

Revision 1.63  2001/01/25 20:03:34  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.62  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.61  2000/11/08 02:27:54  kloczek
- updated to 5.2,
- simplified %install and updated patches.

Revision 1.60  2000/10/12 00:22:14  kloczek
- added no_symlinks for use roff .so links between man pages files instead
  symlinks (added --with-manpage-format=normal to autoconf parameters),
- fixed duplicate entries in %files.

Revision 1.59  2000/10/11 19:49:55  kloczek
- removed Requires for terminfo from main,
- move screen terminal definition to main.

Revision 1.58  2000/10/11 19:40:51  kloczek
- release 3: use new rpm automation.

Revision 1.57  2000/09/06 13:17:23  misiek
- added requires: terminfo

Revision 1.56  2000/08/04 19:33:04  baggins
- s/gawk/mawk/

Revision 1.55  2000/07/13 18:48:48  zagrodzki
- release 2

Revision 1.54  2000/07/13 18:48:36  zagrodzki
- links should point to libncurses.so.5.1 (not 5.0)

Revision 1.53  2000/07/11 20:49:32  wiget
- version 5.1

Revision 1.52  2000/06/30 21:59:39  kloczek
- release 15,
- updated patches for ncurses 5.0 to 20000527,
- added xtermchanges patch from rawhide bud with fiew corrections:
 - xterm inherits from xterm-r6 (not from xterm-redhat),
 - added to xterm-r6 hpa sequence,
 - kdch1=\E[3~ not \177 (del key).

Revision 1.51  2000/06/11 09:26:22  kloczek
- release 14,
- added "Obsoletes: libtermcap-devel" for devel subpackage.

Revision 1.50  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.49  2000/06/09 07:23:26  kloczek
- added using %{__make} macro.

Revision 1.48  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.47  2000/05/11 00:04:59  kloczek
- release 14,
- spec adapterized.

Revision 1.46  2000/04/25 13:05:34  mikrobi
- %dir %{_includedir} added to package devel

Revision 1.45  2000/04/01 11:15:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.44  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.43  2000/02/07 18:18:24  baggins
- release++
- gzip %{_mandir}/man1/tack.1

Revision 1.42  1999/11/27 01:29:05  alchemyx
- typo

Revision 1.41  1999/11/21 17:21:51  kloczek
- release 3,
- added xterm_fix patch which fix terminal sequences for home, end keys (RH
  patch is incorrect).

Revision 1.40  1999/11/16 04:27:56  kloczek
- updated to 5.0,
- added --with-termlib and --enable-safe-sprintf to ./configure parameters,
- updated patches list.

Revision 1.39  1999/09/13 20:59:35  kloczek
- release 20,
- reverted last changes,
- added using more rpm macros.

Revision 1.38  1999/08/29 15:17:14  baggins
- moved tput to /bin
- added /.terminfo dir

Revision 1.37  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.36  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
